clear all
close all

J=2;
MMI=[];

try % if the Estim_Bayes script has been executed
    
    for ns=1:4
        nom=['resBayes_' num2str(ns)];
        load(nom,'MI')
        MI=MI';
        MI=MI(round(end/J):end,:);
        MMI=[MMI ; MI];
    end
catch  % if the Estim_Bayes script has not been executed
    % we need to compute the number of infected cases associated with the
    % posterior distribution
    % to avoid lengthy computation, we only use a sample of the posterior
    AM=[];
    T0M=[];
    KM=[];
    vM=[];
    J=2; % only keeps the second half of the chains
    for ns=1:2
        nom=['resBayes_' num2str(ns)];
        load(nom)
        AM=[AM ; AFR(round(end/J):end)'];
        KM=[KM ; K(round(end/J):end)'];
        T0M=[T0M ; T0FR(round(end/J):end)'];
        vM=[vM ; vFR(round(end/J):end)'];
    end
    
    for k=1:1e4
        cc=ceil(rand(1)*length(AM));
        X(1)=AM(cc);X(2)=T0M(cc);
        [S I R]=SIR([X(1) 1/10],X(2),77,67e6);
        MMI(k,:)=I;
    end
    
    
end






T=77;
xdates = datetime(2020,1,1) + caldays(1:T);
%%% intervalles confiance
col=[1 0.8 0.8];
delta=0.025; % pour l'intervalle de confiance
Ibar=mean(MMI);
q0=quantile(MMI,delta);
q1=quantile(MMI,1-delta);

load data_smooth5
load data_death

SFR_case=DATA(1,:);


% derivative of D

dD=[0 diff(SFR_death)];

IMb=MMI(:,1:T);
dDM=repmat(dD,size(IMb,1),1);

% IFR (DR)
GAMMA=dDM./IMb;
beta=1/10;
DR=GAMMA./(GAMMA+beta);

DRbar=mean(DR);
D0=quantile(DR,delta);
D1=quantile(DR,1-delta);

figure

Nd=17;
xdates = datetime(2020,2,29) + caldays(0:Nd);
plot(xdates,DRbar(60:60+Nd),'r',xdates,D0(60:60+Nd),'r--',xdates,D1(60:60+Nd),'r--','LineWidth',1.5)
ylabel('IFR')
set(gca,'FontSize',14,'FontName','Times New Roman')
set(gca,'XTickLabelRotation',45)
pbaspect([3 1 1])





