function [S I R]=SIR(theta,t0,T,S0)

% solves
% S'=- \alpha \, S \, I, \\
% I'=\alpha \, S \, I - \beta \, I \\
% R'= \beta \,  I

% t0 : initial time
% S0 : initial pop of S


global alpha beta S00

alpha=theta(1); beta=theta(2); S00=S0;


t0=round(t0);

I0=1; % initial pop of I
R0=0; % initial pop of R

[Tp,Y] = feval(@ode45,@sysSIR,[t0:T],[S0 I0 R0]');  
tt=[0:t0-1 Tp'];

S=[S0*ones(t0,1); Y(:,1)];
I=[zeros(t0,1); Y(:,2)];
R=[zeros(t0,1); Y(:,3)];


function dx = sysSIR(t,x)

global alpha beta S00

dx = [-alpha*x(1)*x(2)/S00 alpha*x(1)*x(2)/S00-beta*x(2) beta*x(2)]';

