close all
clear all


% plots joint marginal distributions

AM=[];
T0M=[];
KM=[];
vM=[];
J=2; % only keeps the second half of the chains

for ns=1:4
try
    nom=['resBayes_' num2str(ns) 'b'];
        load(nom)
        AM=[AM ; AFR(round(end/J):end)'];
        KM=[KM ; K(round(end/J):end)'];
        T0M=[T0M ; T0FR(round(end/J):end)'];
        vM=[vM ; vFR(round(end/J):end)'];
end
end



Kax=0:1e-5:0.15e-2;
T0ax=20:0.05:30;
Ax=1.4/10:0.003:6.49/10;


%%% distri 2D alpha kappa 

X=[AM KM];
N=hist3(X,'edges',{Ax Kax},'Normalization','pdf');
N_pcolor = N';
N_pcolor(size(N_pcolor,1)+1,size(N_pcolor,2)+1) = 0;
xl = linspace(min(Ax),max(Ax),size(N_pcolor,2)); % Columns of N_pcolor
yl = linspace(min(Kax),max(Kax),size(N_pcolor,1)); % Rows of N_pcolor
dxl=xl(end)-xl(end-1);
dyl=yl(end)-yl(end-1);

INT=sum(sum(N_pcolor))*dxl*dyl;

h = pcolor(xl,yl,N_pcolor/INT);
shading flat
col=colormap('jet(128)'); % Change color scheme 
col(1,:)=[1 1 1];
colormap(col)

colorbar % Display colorbar
h.ZData = -max(N_pcolor(:))*ones(size(N_pcolor));
ax = gca;
ax.ZTick(ax.ZTick < 0) = [];
xlabel('$\alpha$','Interpreter','Latex')
ylabel('$\kappa$','Interpreter','Latex')
set(gca,'FontSize',16,'FontName','Times New Roman')
caxis([0 3e4])
print('-dpng','-r300','distri_2D_AK_prior2.png')

pause


%%% distri 2D t0 alpha

X=[T0M AM];
N=hist3(X,'edges',{T0ax Ax},'Normalization','pdf');
N_pcolor = N';
N_pcolor(size(N_pcolor,1)+1,size(N_pcolor,2)+1) = 0;
xl = linspace(min(T0ax),max(T0ax),size(N_pcolor,2)); % Columns of N_pcolor
yl = linspace(min(Ax),max(Ax),size(N_pcolor,1)); % Columns of N_pcolor
dxl=xl(end)-xl(end-1);
dyl=yl(end)-yl(end-1);

INT=sum(sum(N_pcolor))*dxl*dyl;

h = pcolor(xl,yl,N_pcolor/INT);
shading flat
col=colormap('jet(128)'); % Change color scheme 
col(1,:)=[1 1 1];
colormap(col)

colorbar % Display colorbar
h.ZData = -max(N_pcolor(:))*ones(size(N_pcolor));
ax = gca;
ax.ZTick(ax.ZTick < 0) = [];
xlabel('$t_0$','Interpreter','Latex')
ylabel('$\alpha$','Interpreter','Latex')
set(gca,'FontSize',16,'FontName','Times New Roman')
caxis([0 30])
print('-dpng','-r300','distri_2D_AT_prior2.png')

pause

%%% distri 2D t0 kappa

X=[T0M KM];
N=hist3(X,'edges',{T0ax Kax},'Normalization','pdf');
N_pcolor = N';
N_pcolor(size(N_pcolor,1)+1,size(N_pcolor,2)+1) = 0;
xl = linspace(min(T0ax),max(T0ax),size(N_pcolor,2)); % Columns of N_pcolor
yl = linspace(min(Kax),max(Kax),size(N_pcolor,1)); % Rows of N_pcolor
dxl=xl(end)-xl(end-1);
dyl=yl(end)-yl(end-1);

INT=sum(sum(N_pcolor))*dxl*dyl;

h = pcolor(xl,yl,N_pcolor/INT);
shading flat
col=colormap('jet(128)'); % Change color scheme 
col(1,:)=[1 1 1];
colormap(col)

colorbar % Display colorbar
h.ZData = -max(N_pcolor(:))*ones(size(N_pcolor));
ax = gca;
ax.ZTick(ax.ZTick < 0) = [];
xlabel('$t_0$','Interpreter','Latex')
ylabel('$\kappa$','Interpreter','Latex')
set(gca,'FontSize',16,'FontName','Times New Roman')
print('-dpng','-r300','distri_2D_TK_prior2.png')

