clear all
close all


beta=1/10;

%%% loads the data

load data_smooth5
load data_death

%%% MLE

X=[0.3141   26.5140 2.8663e-04];

%%% solution of the SIR system
[S I R]=SIR([X(1) beta],X(2),77,67e6);

kappa=X(3);

%%% number of cases per day (based on smoothed data)
IncFR=[0 diff(DATA(1,:))];

%%% number of tests per day
NT=[0 diff(DATA(2,:))];

% longueur du vecteur d'observation
LHI=length(IncFR); % attention, commence au 01/01/2020
% on recupre S I R NT sur la fentre du 01/01  la fin des observations
I=I(1:LHI);
R=R(1:LHI);
S=S(1:LHI);
NT=NT(1:LHI);

I=max(I,1e-5); % pour eviter les vraisemblances nulles
sigma=0.7;
PT=sigma*I./(I+kappa*S); PT=PT';


tt1=31:LHI-1;


EB=NT.*PT; % esperance nombre de detections +
CEB=cumsum(EB);

xdates = datetime(2020,2,1) + caldays(tt1-31);

t0=32;
figure
pFR=plot(xdates,CEB(t0:end),'b',xdates,DATA(1,t0:end),'b+')
ylabel('Number of cases')
set(gca,'FontSize',12,'FontName','Times New Roman')
set(gca,'XTickLabelRotation',45)

pbaspect([3 1 1])

hold on
XFR=X;

    